Xerces-C++ 3.2.4

List of all members
XMemory Class Reference

This class makes it possible to override the C++ memory management by adding new/delete operators to this base class. More...

`#include <xercesc/util/XMemory.hpp>`

Inheritance diagram for XMemory:

## Public Member Functions
The C++ memory management
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Protected Member Functions
Constructor
| XMemory ()
| Protected default constructor. More...

## Detailed Description

This class makes it possible to override the C++ memory management by adding new/delete operators to this base class.

This class is used in conjunction with the pluggable memory manager. It allows applications to control Xerces memory management.

## Constructor & Destructor Documentation

## ◆ XMemory()

XMemory::XMemory | ( |  | ) |
| protected

Protected default constructor.

## Member Function Documentation

## ◆ operator delete() [1/3]

void XMemory::operator delete | ( | void * | p | ) |

This method overrides operator delete.

Parameters

  p | The pointer to the allocated memory

## ◆ operator delete() [2/3]

void XMemory::operator delete | ( | void * | p,
|  | MemoryManager * | memMgr
| ) |  |

This method provides a matching delete for the custom operator new.

Parameters

  p | The pointer to the allocated memory
  memMgr | An application's memory manager

## ◆ operator delete() [3/3]

void XMemory::operator delete | ( | void * | p,
|  | void * | ptr
| ) |  |

This method provides a matching delete for the placement new.

Parameters

  p | The pointer to the allocated memory
  ptr | The memory location where the object had to be allocated

## ◆ operator new() [1/3]

void * XMemory::operator new | ( | size_t | size | ) |

This method overrides operator new.

Parameters

  size | The requested memory size

## ◆ operator new() [2/3]

void * XMemory::operator new | ( | size_t | size,
|  | MemoryManager * | memMgr
| ) |  |

This method defines a custom operator new, that will use the provided memory manager to perform the allocation.

Parameters

  size | The requested memory size
  memMgr | An application's memory manager

## ◆ operator new() [3/3]

void * XMemory::operator new | ( | size_t | size,
|  | void * | ptr
| ) |  |

This method overrides placement operator new.

Parameters

  size | The requested memory size
  ptr | The memory location where the object should be allocated

The documentation for this class was generated from the following file:

- XMemory.hpp